=== modified file 'msgfmt.py'
--- msgfmt.py	2009-07-18 13:57:52 +0000
+++ msgfmt.py	2011-05-13 03:55:36 +0000
@@ -71,7 +71,6 @@
         offsets.append((len(ids), len(_id), len(strs), len(MESSAGES[_id])))
         ids += _id + '\0'
         strs += MESSAGES[_id] + '\0'
-    output = ''
     # The header is 7 32-bit unsigned integers.  We don't use hash tables, so
     # the keys start right after the index tables.
     # translated string.

=== modified file 'zim/__init__.py'
--- zim/__init__.py	2011-04-28 18:09:07 +0000
+++ zim/__init__.py	2011-05-13 03:55:36 +0000
@@ -480,7 +480,6 @@
 			page = self.notebook.get_page(path)
 
 		if page and output is None:
-			import sys
 			exporter.export_page_to_fh(sys.stdout, page)
 		elif not output:
 			logger.error('Need output directory to export notebook')

=== modified file 'zim/applications.py'
--- zim/applications.py	2011-05-12 19:41:32 +0000
+++ zim/applications.py	2011-05-13 03:55:36 +0000
@@ -153,7 +153,7 @@
 				gobject.spawn_async(argv, flags=flags, **opts)
 		except gobject.GError:
 			logger.exception('Failed running: %s', argv)
-			name = self.name
+			#~ name = self.name
 			#~ ErrorDialog(None, _('Could not run application: %s') % name).run()
 				#~ # T: error when application failed to start
 			return None

=== modified file 'zim/daemon.py'
--- zim/daemon.py	2011-02-19 16:27:44 +0000
+++ zim/daemon.py	2011-05-13 03:55:36 +0000
@@ -437,7 +437,7 @@
 		'''Quit the daemon gracefully by calling 'quit()' on all
 		children and waiting for them to exit.
 		'''
-		self._call('quit') == 'Ack'
+		return self._call('quit') == 'Ack'
 
 	def _call(self, func, *args, **kwargs):
 		s = socket.socket(Daemon.socket_family)

=== modified file 'zim/fs.py'
--- zim/fs.py	2011-05-10 20:58:36 +0000
+++ zim/fs.py	2011-05-13 03:55:36 +0000
@@ -122,7 +122,6 @@
 import errno
 import codecs
 import logging
-from StringIO import StringIO
 
 from zim.errors import Error, TrashNotSupportedError
 from zim.parsing import url_encode, url_decode
@@ -529,7 +528,6 @@
 
 		# Quick shortcut to be able to load images in the gui even if
 		# we have no proper mimetype support
-		basename = self.basename
 		if '.' in self.basename:
 			_, ext = self.basename.rsplit('.', 1)
 			if ext in IMAGE_EXTENSIONS:

=== modified file 'zim/gui/__init__.py'
--- zim/gui/__init__.py	2011-05-10 20:58:36 +0000
+++ zim/gui/__init__.py	2011-05-13 03:55:36 +0000
@@ -1295,7 +1295,6 @@
 		case the new file has the same name as an existing attachment.
 		Returns the (new) filename or None when the action was canceled.
 		'''
-		namechanged = False
 		dir = self.notebook.get_attachments_dir(path)
 		if dir is None:
 			raise Error, '%s does not have an attachments dir' % path
@@ -2221,7 +2220,7 @@
 
 
 class PageWindow(Window):
-	'''Secondairy window, showing a single page'''
+	'''Secondary window, showing a single page'''
 
 	def __init__(self, ui, page):
 		Window.__init__(self)
@@ -2244,7 +2243,7 @@
 		w, h = self.uistate['windowsize']
 		self.set_default_size(w, h)
 
-		self.pageview = PageView(ui, secondairy=True)
+		self.pageview = PageView(ui, secondary=True)
 		self.pageview.set_page(page)
 		self.add(self.pageview)
 
@@ -2328,12 +2327,12 @@
 		return self._done
 
 	def run(self):
-		self.timer = 5
-		self.timer_label.set_text('%i sec.' % self.timer)
+		timeout = 5
+		self.timer_label.set_text('%i sec.' % timeout)
 		def timer(self):
-			self.timer -= 1
-			if self.timer > 0:
-				self.timer_label.set_text('%i sec.' % self.timer)
+			timeout -= 1
+			if timeout > 0:
+				self.timer_label.set_text('%i sec.' % timeout)
 				return True # keep timer going
 			else:
 				for button in self.action_area.get_children():

=== modified file 'zim/gui/pageview.py'
--- zim/gui/pageview.py	2011-05-12 19:53:42 +0000
+++ zim/gui/pageview.py	2011-05-13 03:55:36 +0000
@@ -3247,15 +3247,15 @@
 	}
 
 
-	def __init__(self, ui, secondairy=False):
+	def __init__(self, ui, secondary=False):
 		gtk.VBox.__init__(self)
 		self.ui = ui
 		self._buffer_signals = ()
 		self.page = None
 		self.readonly = True
 		self.readonlyset = False
-		self.secondairy = secondairy
-		if secondairy:
+		self.secondary = secondary
+		if self.secondary:
 			self.readonlyset = True
 		self.undostack = None
 		self.image_generator_plugins = {}
@@ -3263,7 +3263,7 @@
 		self._showing_template = False
 
 		self.preferences = self.ui.preferences['PageView']
-		if not self.secondairy:
+		if not self.secondary:
 			# HACK avoid registerign a second time
 			self.ui.register_preferences('PageView', ui_preferences)
 
@@ -3285,9 +3285,9 @@
 		self.find_bar.hide()
 
 		## setup GUI actions
-		if self.secondairy:
+		if self.secondary:
 			# HACK - divert actions from uimanager
-			self.actiongroup = gtk.ActionGroup('SecondairyPageView')
+			self.actiongroup = gtk.ActionGroup('SecondaryPageView')
 		self.ui.add_actions(ui_actions, self)
 
 		# Extra keybinding for Find: F3, <Shift>F3 and <Ctrl>F3
@@ -3463,7 +3463,7 @@
 
 		try:
 			self.set_parsetree(tree, bool(template))
-			if not self.secondairy:
+			if not self.secondary:
 				page.set_ui_object(self) # only after succesful set tree in buffer
 		except Exception, error:
 			# Maybe corrupted parse tree - prevent page to be edited or saved back

=== modified file 'zim/index.py'
--- zim/index.py	2011-04-04 19:05:41 +0000
+++ zim/index.py	2011-05-13 03:55:36 +0000
@@ -38,7 +38,6 @@
 
 from __future__ import with_statement
 
-import string
 import sqlite3
 import gobject
 import logging
@@ -456,7 +455,7 @@
 			indexpath = self.touch(path)
 			indexpath._row['haschildren'] = True
 			indexpath._row['childrenkey'] = None
-			checkcontent = True
+			checkcontents = True
 
 		self._flush_queue(path)
 		self._update_pagelist_queue.append(indexpath)
@@ -698,7 +697,7 @@
 		for tag in deleted_tags:
 			self.emit('tag-deleted', tag)
 
-	def _update_pagelist(self, path, checkcontent):
+	def _update_pagelist(self, path, checkcontents):
 		'''Checks and updates the pagelist for a path if needed and queues any
 		child pages for updating based on "checkcontents" and whether
 		the child has children itself. Called indirectly by update().
@@ -725,7 +724,7 @@
 			# Helper function to queue individual children
 			if child.haschildren:
 				self._update_pagelist_queue.append(child)
-			elif checkcontent:
+			elif checkcontents:
 				pagekey = self.notebook.get_page_indexkey(rawchild or child)
 				if not (pagekey and child.contentkey == pagekey):
 					self._index_page_queue.append(child)
@@ -881,7 +880,6 @@
 		paths.reverse() # process children first
 		delete = []
 		keep = []
-		toggled = []
 		for path in paths:
 			hadchildren = path.haschildren
 			haschildren = self.n_list_pages(path) > 0

=== modified file 'zim/notebook.py'
--- zim/notebook.py	2011-05-09 20:08:05 +0000
+++ zim/notebook.py	2011-05-13 03:55:36 +0000
@@ -212,7 +212,6 @@
 		if isinstance(text, basestring):
 			text = text.splitlines(True)
 
-		import re
 		fields_re = re.compile(r'(?:\\.|\S)+') # match escaped char or non-whitespace
 		escaped_re = re.compile(r'\\(.)') # match single escaped char
 

=== modified file 'zim/parsing.py'
--- zim/parsing.py	2011-04-02 12:36:48 +0000
+++ zim/parsing.py	2011-05-13 03:55:36 +0000
@@ -5,7 +5,6 @@
 '''This module contains utilities for parsing strings and text'''
 
 import re
-import string
 
 
 def split_quoted_strings(string, unescape=True):

=== modified file 'zim/stores/gjots.py'
--- zim/stores/gjots.py	2011-02-19 16:27:44 +0000
+++ zim/stores/gjots.py	2011-05-13 03:55:36 +0000
@@ -56,7 +56,7 @@
 		for line in self.file:
 			if line.rstrip() in ('\\NewEntry', '\\NewFolder', '\\EndFolder'):
 				if buffer:
-					title = Notebook.cleanup_pathname(buffer[0].replace(':', ' '))
+					title = Notebook.cleanup_pathname(buffer[0].replace(':', ' ')) # FIXME: title unused
 					p = Path(':'.join(path))
 							# Any '' at the end of path drops out, this is intended behavior
 					self._set_node(p, ''.join(buffer))

=== modified file 'zim/templates.py'
--- zim/templates.py	2011-02-19 16:27:44 +0000
+++ zim/templates.py	2011-05-13 03:55:36 +0000
@@ -61,7 +61,6 @@
 
 import re
 import logging
-from copy import deepcopy
 
 import gobject
 

=== modified file 'zim/www.py'
--- zim/www.py	2011-04-14 20:01:02 +0000
+++ zim/www.py	2011-05-13 03:55:36 +0000
@@ -156,7 +156,7 @@
 			elif path == '/favicon.ico':
 				path = '/+icons/favicon.ico'
 			else:
-			    path = urllib.unquote(path)
+				path = urllib.unquote(path)
 
 			if self.notebook is None:
 				raise NoConfigError
@@ -171,22 +171,22 @@
 				content = [file.raw()]
 					# Will raise FileNotFound when file does not exist
 				headers['Content-Type'] = file.get_mimetype()
- 			elif path.startswith('/+file/'):
+			elif path.startswith('/+file/'):
 				file = self.notebook.dir.file(path[7:])
 					# TODO: need abstraction for getting file from top level dir ?
 				content = [file.raw()]
 					# Will raise FileNotFound when file does not exist
 				headers['Content-Type'] = file.get_mimetype()
- 			elif path.startswith('/+icons/'):
- 				# TODO check if favicon is overridden or something
- 				file = data_file('pixmaps/%s' % path[8:])
+			elif path.startswith('/+icons/'):
+				# TODO check if favicon is overridden or something
+				file = data_file('pixmaps/%s' % path[8:])
 				content = [file.raw()]
 					# Will raise FileNotFound when file does not exist
- 				if path.endswith('.png'):
- 					headers['Content-Type'] = 'image/png'
- 				elif path.endswith('.ico'):
- 					headers['Content-Type'] = 'image/vnd.microsoft.icon'
- 				else:
+				if path.endswith('.png'):
+					headers['Content-Type'] = 'image/png'
+				elif path.endswith('.ico'):
+					headers['Content-Type'] = 'image/vnd.microsoft.icon'
+				else:
 					raise PathNotValidError()
 			else:
 				# Must be a page or a namespace (html file or directory path)

